### Property

# Gio TlsCertificate:pkcs11-uri

since: 2.68

#### Declaration

    property pkcs11-uri: utf8 [ read, write, construct-only ]

#### Description

A URI referencing the PKCS #11 objects containing an X.509 certificate and optionally a private key.

If `NULL`, the certificate is either not backed by PKCS #11 or the `GTlsBackend` does not support PKCS #11.

Type: | `gchar*`
Available since: | 2.68

Default value | NULL

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | yes